## org.eclipse.datatools.connectivity.sqm.core
Class SQMConnectionFactory

    java.lang.Object
      ConnectionFactory
          org.eclipse.datatools.connectivity.sqm.core.SQMConnectionFactory

    public class SQMConnectionFactory

extends ConnectionFactory

`org.eclipse.datatools.connectivity.IConnectionFactory` for creating `org.eclipse.datatools.connectivity.sqm.core.connection.ConnectionInfo` connections. To use this class in a custom DB connection profile, you must make sure your profile contains a `java.sql.Connection` connection factory, as well as a `org.eclipse.datatools.connectivity.ConnectionProfileConstants.PROP_DRIVER_DEFINITION_ID` property. Additionally, the driver specified must contain the following properties from `org.eclipse.datatools.connectivity.db.generic.IDBDriverDefinitionConstants`: DATABASE_VENDOR_PROP_ID, DATABASE_VERSION_PROP_ID, DATABASE_NAME_PROP_ID.

Author:
  ledunnel

Constructor Summary
`SQMConnectionFactory()`

Method Summary
`IConnection` `createConnection(IConnectionProfile profile)`
`IConnection` `createConnection(IConnectionProfile profile, java.lang.String uid, java.lang.String pwd)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQMConnectionFactory

    public SQMConnectionFactory()

Method Detail

### createConnection

    public IConnection createConnection(IConnectionProfile profile)

### createConnection

    public IConnection createConnection(IConnectionProfile profile,
                                        java.lang.String uid,
                                        java.lang.String pwd)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.